.TH HG REMOVE  "" "" ""
.SH NAME
hg remove \- remove the specified files on the next commit
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg remove [OPTION]... FILE...
.ft P
.fi
.SH DESCRIPTION
.sp
Schedule the indicated files for removal from the current branch.
.sp
This command schedules the files to be removed at the next commit.
To undo a remove before that, see \%\fBhg revert\fP\:. To undo added
files, see \%\fBhg forget\fP\:.
.sp
\-A/\-\-after can be used to remove only files that have already
been deleted, \-f/\-\-force can be used to force deletion, and \-Af
can be used to remove files from the next revision without
deleting them from the working directory.
.sp
The following table details the behavior of remove for different
file states (columns) and option combinations (rows). The file
states are Added [A], Clean [C], Modified [M] and Missing [!]
(as reported by \%\fBhg status\fP\:). The actions are Warn, Remove
(from branch) and Delete (from disk):
.TS
center;
|l|l|l|l|l|.
_
T{
opt/state
T}	T{
A
T}	T{
C
T}	T{
M
T}	T{
!
T}
_
T{
none
T}	T{
W
T}	T{
RD
T}	T{
W
T}	T{
R
T}
_
T{
\-f
T}	T{
R
T}	T{
RD
T}	T{
RD
T}	T{
R
T}
_
T{
\-A
T}	T{
W
T}	T{
W
T}	T{
W
T}	T{
R
T}
_
T{
\-Af
T}	T{
R
T}	T{
R
T}	T{
R
T}	T{
R
T}
_
.TE
.IP Note
.
\%\fBhg remove\fP\: never deletes files in Added [A] state from the
working directory, not even if \fB\-\-force\fP is specified.
.RE
.sp
Returns 0 on success, 1 if any warnings encountered.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-A,  \-\-after
.
record delete for missing files
.TP
.B \-f,  \-\-force
.
forget added files, delete modified files
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
rm
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
